Skip to main content
POST
/
v1
/
file-manager
/
import
Create File Manager File From Multipart File
curl --request POST \
  --url https://localtest.mindbridge.ai/api/v1/file-manager/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'fileManagerFile={
  "version": 123,
  "engagementId": {},
  "originalName": "<string>",
  "name": "<string>",
  "extension": "<string>",
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "type": "DIRECTORY",
  "parentFileManagerEntityId": {},
  "status": [
    "MODIFIED"
  ],
  "fileInfoId": {}
}' \
  --form file='@example-file'
{
  "version": 123,
  "engagementId": {},
  "originalName": "<string>",
  "name": "<string>",
  "extension": "<string>",
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "type": "DIRECTORY",
  "parentFileManagerEntityId": {},
  "status": [
    "MODIFIED"
  ],
  "fileInfoId": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

content-type
enum<string>
Available options:
multipart/form-data

Body

multipart/form-data
fileManagerFile
File Manager File · object
required
file
file
required

Response

Created

version
integer<int64>
required

Data integrity version to ensure data consistency.

engagementId
object
required

Identifies the associated engagement.

originalName
string
required

The name of the file as it appeared when first imported, including the extension.

Minimum string length: 1
Pattern: \s*\S+.*
name
string
required

The current name of the file, excluding the extension.

Minimum string length: 1
Pattern: \s*\S+.*
extension
string
required

The suffix used at the end of the file.

Minimum string length: 1
Pattern: \s*\S+.*
id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

Indicates whether the object is a DIRECTORY or a FILE.

Available options:
DIRECTORY,
FILE
parentFileManagerEntityId
object

Identifies the parent directory. If NULL, the directory is positioned at the root level.

status
enum<string>[]

The status of the file as it appears in MindBridge.

Available options:
MODIFIED,
ROLLED_FORWARD
fileInfoId
object

Identifies the associated file info.